You are here

Production Expert Mojave compatibility guide

For current or would-be users of Apple Mac computers, with answers to many FAQs.

Re: Production Expert Mojave compatibility guide

Postby Humble Bee » Wed Sep 26, 2018 9:56 am

I begin to accept that it will be TB3 and I think it will be fine. We just have to go for it!
User avatar
Humble Bee
Regular
Posts: 317
Joined: Mon Jan 08, 2007 1:00 am
Location: Sweden

Re: Production Expert Mojave compatibility guide

Postby redlester » Fri Sep 28, 2018 12:24 pm

Bump; re. the original link in this thread.

There have been a lot of updates to the various statements already, if you click on the header for "Last Updated" on the table it will sort them in date order.

Just mentioning this as there is a quite long and important statement released yesterday regarding Pro Tools with Mojave.
redlester
Regular
Posts: 209
Joined: Fri Dec 30, 2016 5:50 pm
Location: East Midlands, UK

Re: Production Expert Mojave compatibility guide

Postby Sam Spoons » Fri Sep 28, 2018 11:15 pm

I've just updated my two G5 Mac Pro's (Office and Studio) to El Capitan, that will be their last upgrade as it is the latest OSX they can handle. My MacBook Pro and my wife's iMac now have High Sierra on them, I would have preferred to upgrade them to El Cap too so I only have to learn the foibles of a single OS but decided to bite the bullet as I had not managed to build a USB install drive (as I had with Mavericks) and, obviously, the fruit would not let me upgrade them to El Cap via the app store. :headbang:
User avatar
Sam Spoons
Jedi Poster
Posts: 13615
Joined: Thu Jan 23, 2003 1:00 am
Location: Manchester UK
Finally taking this recording lark seriously (and recording my Gypsy Jazz CD)........

Re: Production Expert Mojave compatibility guide

Postby redlester » Mon Oct 01, 2018 11:06 am

I see Waves have confirmed Mojave compatibility but only for their version 10 plugins.

I have several version 9.92 plugins so I guess its pay to upgrade them or stop using them once I go beyond HS?

This built in obsolescence malarkey is working to shorter and shorter timescales!
redlester
Regular
Posts: 209
Joined: Fri Dec 30, 2016 5:50 pm
Location: East Midlands, UK

Re: Production Expert Mojave compatibility guide

Postby Eddy Deegan » Thu Nov 01, 2018 1:22 am

redlester wrote:I see Waves have confirmed Mojave compatibility but only for their version 10 plugins.

I have several version 9.92 plugins so I guess its pay to upgrade them or stop using them once I go beyond HS?

This built in obsolescence malarkey is working to shorter and shorter timescales!

Warning: Proper rant incoming. Please don't read if you're not into rants!

A similar issue applies to Omnisphere:

The latest versions of Omnisphere 2, Keyscape, Trilian and Stylus RMX are supported on the following Mac operating systems: 10.11 El Capitan, 10.12 Sierra, and 10.13 High Sierra
...
If you have an older version of Omnisphere and would like to use it on Mac OS 10.12 (Sierra), simply upgrade to the latest version of Omnisphere.


What they should have said was:

If you have an older version of Omnisphere and would like to use it on Mac OS 10.12 (Sierra), simply give us $249 to upgrade to the latest version of Omnisphere.

The implied subtext there is:

Going forwards, every couple of years you can expect to have to fork out a bunch more dosh for a brand new version because we're not that bothered supporting non-latest versions every time Apple break their OS again

Now rinse and repeat (for varying degrees of money) for the other 20-30 plugins I used on Logic Pro (Omnisphere, Alchemy, bunch of misc reverb and delays, some other softsynths and most everything by Arturia) as well as Reason (3-4 versions back), MAX/MSP, or ...

... actually, sod that. At this point, I'm done with the BS.

I'm sick of Apple walling us in, breaking stuff all the time, making it nigh on impossible to upgrade or repair hardware in any useful sense, aggressive marketing and absolute disdain for the planet and everything in it except money (take a Macbook with a minor defect on the motherboard to the Apple store to get it fixed, they rip and replace the entire board, for example).

I'm sick of software vendors dropping support for legacy OS X versions (which is partly Apple's fault, as they seem not to give a monkey's for stability).

I'll take a moment here and praise Arturia for maintaining support for all their softsynths on the latest versions of OS X without needing costly upgrades.

I'm sick of constant upgrade cycles, new version of this, that or the other out every other day.

So rather than blow a fuse of my own, I've decided to vote with my wallet. That several thousand quid I injected into the DAW+software market over a few years is not going to have any more added to it.

I loved OS X back in the day, and I loved using Logic, and I'll miss them both, but ... I'm done with the whole business.

I bought a hardware multitrack recorder, dusted off some outboard, changed my studio round a lot and now... I can walk into a dark and silent room, switch on the hardware I need, and start recording in 10 seconds, knowing 100% that at no point am I going to get nagged to upgrade anything and there are no security risks if I don't. A state of affairs that should last indefinitely, given that replacing the occasional faulty hardware is probably going to work out less than maintaining the ridiculous hamster-wheel of paid software upgrades.

So it turns out, you can opt out.

I now have an aging but quite respectable dual Xeon Mac Pro with 24Gb of RAM, several thousand pounds worth of software (heh, I just remembered I have a ton of EastWest sample library stuff as well) and a full complement of hard drives (which I'll upgrade to SSD at some point to make it easier to re-purpose the machine), which is going to be used almost exclusively going forwards for ... email! (and a bit of video editing now and again)

Well done Apple ;-)

Glances at Korg Trinity, my beloved SY85s, the DSI boards, a table groaning with lovely analogue hardware and realises that I feel a bit like I did when I junked Facebook all those years ago. Without the DAW + Plugin drugs, I have a feeling I'm gonna get a LOT more productive (in fact I already am, and I've hardly started yet), and better yet it's going to improve the quality of my results no end.
User avatar
Eddy Deegan
Moderator
Posts: 4892
Joined: Wed Sep 01, 2004 12:00 am
Location: Brighton & Hove, UK
Some of my works
The 2nd SOS Forum Album project
 

Re: Production Expert Mojave compatibility guide

Postby redlester » Thu Nov 01, 2018 11:14 am

I see the latest update to the compatibility list actually deals with an issue introduced with High Sierra, not Mojave! u-he dealing with a slight issue regarding preset sort order.

u-he has announced a new APFS Hotfix. "We have released a hotfix to solve the file sorting issues introduced with the new Apple File System in High Sierra. The hotfix includes a new sorting algorithm which allows the preset browser to show presets in the correct, alphabetical order. Please note: This hotfix will only work on 64-bit, AU and VST2 versions on macOS 10.13 and 10.14.

Just posting this as some people might find it useful and it would be an easy one to miss.
redlester
Regular
Posts: 209
Joined: Fri Dec 30, 2016 5:50 pm
Location: East Midlands, UK

Previous